diff --git a/web/pgadmin/tools/backup/__init__.py b/web/pgadmin/tools/backup/__init__.py
index f4e442f8e..2cc6f2979 100644
--- a/web/pgadmin/tools/backup/__init__.py
+++ b/web/pgadmin/tools/backup/__init__.py
@@ -386,8 +386,10 @@ def create_backup_objects_job(sid):
             set_param('blobs', '--blobs')
         elif data['format'] == 'plain':
             args.extend(['--format=p'])
+            set_value('ratio', '--compress')
         elif data['format'] == 'directory':
             args.extend(['--format=d'])
+            set_value('ratio', '--compress')
 
     if 'only_data' in data and data['only_data']:
         set_param('only_data', '--data-only')
diff --git a/web/pgadmin/tools/backup/static/js/backup.js b/web/pgadmin/tools/backup/static/js/backup.js
index ae31cef3b..ebc45a7c1 100644
--- a/web/pgadmin/tools/backup/static/js/backup.js
+++ b/web/pgadmin/tools/backup/static/js/backup.js
@@ -178,7 +178,10 @@ define([
       type: 'int',
       min: 0,
       max: 9,
-      disabled: false,
+      deps: ['format'],
+      disabled: function(m) {
+        return (m.get('format') === 'tar');
+      },
       visible: function(m) {
         if (!_.isUndefined(m.get('type')) && m.get('type') === 'server')
           return false;
@@ -207,7 +210,7 @@ define([
       type: 'int',
       deps: ['format'],
       disabled: function(m) {
-        return !(m.get('format') === 'Directory');
+        return !(m.get('format') === 'directory');
       },
       visible: function(m) {
         if (!_.isUndefined(m.get('type')) && m.get('type') === 'server')
